BuildRequires: gcc-c++ perl
BuildRequires: libX11-devel libjpeg-devel libpng-devel libtiff-devel librsvg2-devel gtk2-devel poppler-glib-devel freetype-devel

Requires: perl xterm ghostscript
%ifarch x86_64
Requires: libc.so.6()(64bit) libgcc_s.so.1()(64bit) libstdc++.so.6()(64bit) libX11.so.6()(64bit) libjpeg.so.62()(64bit) libpng12.so.0()(64bit) libtiff.so.5()(64bit) libxine.so.2()(64bit) librsvg-2.so.2()(64bit) libpoppler-glib.so.8()(64bit) libfreetype.so.6()(64bit)
%else
Requires: libc.so.6 libgcc_s.so.1 libstdc++.so.6 libX11.so.6 libjpeg.so.62 libpng12.so.0 libtiff.so.5 libxine.so.2 librsvg-2.so.2 libpoppler-glib.so.8 libfreetype.so.6
%endif


Name: eaglemode
Version: 0.92.0
Release: 1
Group: System/GUI/Other
URL: http://eaglemode.sourceforge.net/
Vendor: Oliver Hamann <olha@users.sourceforge.net>
License: GPLv3
Summary: Zoomable user interface with plugin applications
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-build
AutoReqProv: no

%description
Eagle Mode is an advanced solution for a futuristic style of man-machine
communication in which the user can visit almost everything simply by
zooming in. It has a professional file manager, file viewers and players
for most of the common file types, a chess game, a 3D mines game, a
netwalk game, a multi-function clock and some fractal fun, all
integrated in a virtual cosmos. Besides, that cosmos also provides a
Linux kernel configurator in form of a kernel patch.

%prep
%setup -q

%build
perl make.pl build continue=yes

%install
perl make.pl install "root=$RPM_BUILD_ROOT" "dir=/usr/lib/eaglemode" menu=yes bin=yes || exit 1
ORIGDIR="`pwd`"
cd "$RPM_BUILD_ROOT" || exit 1
find * -type d -printf "%%%%dir /%p\n" | grep %{name}  > "$ORIGDIR/files.lst"
find * -type f -printf "/%p\n"         | grep %{name} >> "$ORIGDIR/files.lst"
cd "$ORIGDIR" || exit 1
echo "Eagle Mode installs to /usr/lib/eaglemode. Please refer to that directory" > README
echo "in order to read the documentation and to start the program." >> README
chmod 0644 README

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f files.lst
%defattr(-,root,root)
%doc README
